## org.apache.mahout.df.tools
Class UDistrib

    java.lang.Object
      org.apache.mahout.df.tools.UDistrib

    public final class UDistrib

extends java.lang.Object

This tool is used to uniformly distribute the class of all the tuples of the dataset over a given number of partitions.

Method Summary
`static void` `main(java.lang.String[] args)` Launch the uniform distribution tool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Launch the uniform distribution tool. Requires the following command line arguments:
  data : data path dataset : dataset path numpartitions : num partitions output : output path

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.